package com.example.odpocitavanie;

import java.util.ArrayList;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemSelectedListener;
import android.widget.ArrayAdapter;
import android.widget.Spinner;

public class NastavenieOdpocitavania extends Activity {

	int secondsSet;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_nastavenie_odpocitavania);
		
		
		  Spinner spinner = (Spinner) findViewById(R.id.spinner);
		  ArrayList<Integer> spinnerList = new ArrayList<Integer>();
		  for (int i = 1; i <= 99; i++) {
		    spinnerList.add(i);
		  }
		  ArrayAdapter<Integer> adapter = new ArrayAdapter<Integer>(this,
		          android.R.layout.simple_spinner_item, spinnerList);
		  adapter.setDropDownViewResource(
		          android.R.layout.simple_spinner_dropdown_item);
		  spinner.setAdapter(adapter);
		  spinner.setOnItemSelectedListener(new OnItemSelectedListener() {
		    public void onItemSelected(AdapterView<?> parent,
		      View view, int pos, long id) {
		      secondsSet = (Integer)parent.getItemAtPosition(pos);
		    }
		    public void onNothingSelected(AdapterView<?> parent) {
		      // Do nothing.
		    }
		  });
	}
	
	public void tlacidloOK (View view) {
		  Intent i = new Intent();
		  Bundle bundle = new Bundle();
		  bundle.putInt("sekundy", secondsSet);
		  i.putExtras(bundle);
		  setResult(RESULT_OK, i);
		  finish();
		}
	public void tlacidloZrusit (View view){
		Intent i = new Intent();
		setResult(RESULT_CANCELED, i);
		finish();
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.activity_nastavenie_odpocitavania,
				menu);
		return true;
	}

}
